# -*- coding: utf-8 -*-
"""
/***************************************************************************
 PluginDatasetCreateDialog
 This plugin connects to the NDFF api
                              -------------------
        begin                : 2021-12-20
        git sha              : $Format:%H$
        copyright            : (C) 2021 by Zuidt
        email                : richard@zuidt.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
import logging
import os

from qgis.PyQt import uic
from qgis.PyQt.QtWidgets import (
    QDialog,
)

from . import LOGGER_NAME

log = logging.getLogger(LOGGER_NAME)

# This loads your .ui file so that PyQt can populate your plugin with the elements from Qt Designer
FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'ndffc_plugin_dataset_create_dialog_base.ui'))


class PluginDatasetCreateDialog(QDialog, FORM_CLASS):
    """
    This class is a simple Dialog to give the details for a (NDFF) Dataset.

    It's called from the 'Dataset (chooser) dialog' which holds all logic for the creation of the actual Dataset,
    and retrieves the details from this PluginDatasetCreateDialog instance.
    """
    def __init__(self, parent=None):
        """
        Constructor (setting up the UI/dialog based on the .ui file)
        """
        super(PluginDatasetCreateDialog, self).__init__(parent)
        self.setupUi(self)

    def accept(self) -> None:
        """
        Qt api call: called when the user clicks OK or other ways accepts the dialog
        """
        log.debug('OK clicked; DatasetCreate dialog')
        self.done(QDialog.Accepted)
